#pragma once
#include "Entity.h"
#define PERAINDRIP_CREATENAME L"pe_rain_drip"
//颗粒实体：雨滴
class PeRainDrip :
    public Entity
{
public:
    PeRainDrip();
    void Step() override;
    void DeltaTime(float deltaTime) override;//绘制更新
    void SetState(int stateID, int lr) override;
    float angle;
    float length;
    float speed;
    void SetShape();
    bool bSpray = false;
    std::weak_ptr<Entity> rain;
    int exist = 6000;
    std::vector<PenVertex> lineList_set;
    std::vector<PenVertex> lineList_set_last;
};

std::shared_ptr<Entity> CreatePeRainDrip();